#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 persistent-test
version:              2.13.1.2
visibility:           public
id:                   persistent-test-2.13.1.2-K64OalZTjMv5eeUZgZpSPy
key:                  persistent-test-2.13.1.2-K64OalZTjMv5eeUZgZpSPy
license:              MIT
maintainer:           Michael Snoyman <michael@snoyman.com>
author:               Michael Snoyman <michael@snoyman.com>
stability:            Stable
homepage:             http://www.yesodweb.com/book/persistent
synopsis:             Tests for Persistent
description:
    Tests for Persistent. This is only for use in developing libraries that should conform to the persistent interface, not for users of the persistent suite of database libraries.

category:             Database, Yesod
abi:                  b0ea0d475fefe5c468e82beb10f93a82
exposed:              True
exposed-modules:
    CompositeTest CustomPersistField CustomPersistFieldTest
    CustomPrimaryKeyReferenceTest DataTypeTest EmbedOrderTest EmbedTest
    EmptyEntityTest EntityEmbedTest EquivalentTypeTest ForeignKey
    GeneratedColumnTestSQL HtmlTest Init LargeNumberTest
    LongIdentifierTest MaxLenTest MaybeFieldDefsTest
    MigrationColumnLengthTest MigrationIdempotencyTest
    MigrationOnlyTest MigrationTest MpsCustomPrefixTest MpsNoPrefixTest
    PersistTestPetCollarType PersistTestPetType PersistUniqueTest
    PersistentTest PersistentTestModels PersistentTestModelsImports
    PrimaryTest RawSqlTest ReadWriteTest Recursive RenameTest
    SumTypeTest TransactionLevelTest TreeTest UniqueTest UpsertTest

import-dirs:          /usr/lib/ghc-9.0.2/site-local/persistent-test-2.13.1.2
library-dirs:         /usr/lib/ghc-9.0.2/site-local/persistent-test-2.13.1.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-persistent-test
hs-libraries:         HSpersistent-test-2.13.1.2-K64OalZTjMv5eeUZgZpSPy
depends:
    HUnit-1.6.2.0-C1iPOmv2pdMIa65hP6dNHl
    QuickCheck-2.14.2-GLQMRdYhd1gGRweU1OeGdf
    aeson-1.5.6.0-8RmaUxpnEyzFEsjlzg3EtT base-4.15.1.0
    blaze-html-0.9.1.2-GXVW5QZoYZFKO701z6zU5r bytestring-0.10.12.1
    conduit-1.3.4.2-F9QdDA7xtUa5vT767kOTLE containers-0.6.4.1
    exceptions-0.10.4 hspec-2.9.7-DGoJnN400JKk9TtaTXR74
    hspec-expectations-0.8.2-6qi8cjonJ6NDcZGGp2xU9X
    http-api-data-0.4.3-JIoQfLhXWXUGHiwzzOAA5A
    monad-control-1.0.3.1-Fcjv9SGMt3s3K9SeXZ6blX
    monad-logger-0.3.36-C00GINRNBUf5bgPjjJOLkX mtl-2.2.2
    path-pieces-0.2.1-H7eklAHLAbQDmNQh33Z06o
    persistent-2.13.3.1-J5O21AR8DJBJfqpxq9jzrE
    quickcheck-instances-0.3.27-9wvUjR06RaACixvxKthY5C
    random-1.2.1.1-7TRcTZqox1I8Tbxmbf4Iv1
    resourcet-1.2.6-tTUGOhMY59182IoWSj65p text-1.2.5.0 time-1.9.3
    transformers-0.5.6.2 transformers-base-0.4.6-DUSeQTy4AH79Q1LwIN2hX2
    unliftio-0.2.22.0-LgZJ18YSJH2LMm8s3j4m8Y
    unliftio-core-0.2.0.1-HjGpVpPktr5Bc3kYrL6LtS
    unordered-containers-0.2.19.1-IGLlpGl08fHL3nm9W9Ceop

haddock-interfaces:
    /usr/share/doc/haskell-persistent-test/html/persistent-test.haddock

haddock-html:         /usr/share/doc/haskell-persistent-test/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

